Skip to main content
GET
/
v2
/
api
Get Blocks Validated by Address
curl --request GET \
  --url https://api.etherscan.io/v2/api
{
  "status": "1",
  "message": "OK",
  "result": [
    {
      "blockNumber": "20226140",
      "timeStamp": "1720011623",
      "blockReward": "33424103001400554"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.etherscan.io/llms.txt

Use this file to discover all available pages before exploring further.

Effective July 1, 2026, the maximum records returned per request will be reduced from 10,000 to 1,000 for Free tier API users. See the full list of affected endpoints.

Query Parameters

apikey
string
default:"YourApiKeyToken"
Your Etherscan API key.
chainid
string
default:"1"
Chain ID to query, eg 1 for Ethereum, 8453 for Base from our supported chains.
module
string
default:"account"
Set to account for this endpoint.
action
string
default:"getminedblocks"
Set to getminedblocks for this endpoint.
address
string
default:"0x9dd134d14d1e65f84b706d6f205cd5b1cd03a46b"
Validator The address to query, like 0xfefefefefefefefefefefefefefefefefefefefe.
blocktype
string
default:"blocks"
Use blocks for full blocks, optionally uncles for pre-Merge blocks.
page
integer
default:"1"
Page number for pagination.
offset
integer
default:"100"
Number of records per page. Use the page parameter for subsequent records.
{
  "status": "1",
  "message": "OK",
  "result": [
    {
      "blockNumber": "20226140",
      "timeStamp": "1720011623",
      "blockReward": "33424103001400554"
    }
  ]
}